POST https://api.cryptohopper.com/v1/hopper/{id}/position/dca/reset

Resets the DCA state of one coin of the hopper: the DCA count and latest average go back to 0 and DCA is marked as not enabled for that coin.

coin is required. Not available for exchange arbitrage, market maker, copy and grid bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/dca/reset" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"coin":"BTC"}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "DCA has been reset for BTC."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.